---
names:
  full: "AWS Network Firewall Delete Protection is not enabled"
  contextual: "Firewall Delete Protection is not enabled"
description: >
  Ensure that AWS Network Firewall has delete protection enabled. Delete protection 
  prevents the firewall from being deleted accidentally or via unauthorized requests. 
  This is a critical setting for maintaining continuous network security and availability.
type: "COMPLIANCE_POLICY"
categories:
  - "RELIABILITY"
frameworkMappings:
  - "/frameworks/cloudaware/resource-reliability/system-configuration"
  - "/frameworks/aws-fsbp-v1.0.0/network-firewall/09"
similarPolicies:
  awsSecurityHub:
    - name: "[NetworkFirewall.9] Network Firewall firewalls should have deletion protection enabled"
      url: "https://docs.aws.amazon.com/securityhub/latest/userguide/networkfirewall-controls.html#networkfirewall-9"
